
using Hotline.Share.Dtos.CallCenter;

namespace Hotline.CallCenter.Calls
{
    public interface ITrCallRecordRepository
    {

        Task<List<BiCallDto>?> GetQueryCalls(DateTime beginDate, DateTime endDate);
        Task<List<TrCallHourDto>?> GetCallHourList(DateTime beginDate, DateTime? endDate, int noConnectByeTimes, int effectiveTimes,int connectByeTimes, string source);


        Task<List<CallHotLineDto>> GetCallHotLineList(DateTime beginDate, DateTime endDate, string lineNum, int noConnectByeTimes, int effectiveTimes, int connectByeTimes,int ringTims);

        Task<object> GetCallList(DateTime beginDate, DateTime? endDate, int noConnectByeTimes, int effectiveTimes, int connectByeTimes, string type, string source, TimeSpan? startHourTo, int pageIndex, int pageSize);

	}
}
